<?php 

add_action('widgets_init','salahelimam_newsletter');

function salahelimam_newsletter() {
	register_widget('salahelimam_newsletter');
	}

class salahelimam_newsletter extends WP_Widget {
	function salahelimam_newsletter() {
			
		$widget_ops = array('classname' => 'newsletter','description' => 'مربع جانبى يعرض القائمة البريدية');		
		$this->WP_Widget('newsletter','الوان الويب - القائمة البريدية',$widget_ops);

		}
		
	function widget( $args, $instance ) {
		extract( $args );
		
		$title = apply_filters('widget_title', $instance['title'] );
		$feed_url = $instance['feed_url'];
		
		echo $before_widget;

		
		if ( $title )
			echo $before_title . $title . $after_title;
?>

<div class="feeds">
  <p>اشترك بالقائمة البريدية ليصلك كل جديد</p>
  <form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feed_url; ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
    <input type="text" class="nsf" name="email" value="أضف بريدك الألكترونى"  onfocus="if(this.value == 'أضف بريدك الألكترونى') {this.value = '';}" onblur="if (this.value == '') {this.value = 'أضف بريدك الألكترونى';}" />
    <input type="hidden" value="<?php echo $feed_url; ?>" name="uri"/>
    <input type="hidden" name="loc" value="en_US"/>
    <input type="submit"  class="nsb" value="اشترك" />
  </form>
</div>
<?php 
		
		echo $after_widget;
	}
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['feed_url'] = strip_tags( $new_instance['feed_url'] );

		return $instance;
	}
	
function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'القائمة البريدية', 
			'feed_url' => 'salahelimam/nNIF'
 			);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<p>
  <label for="<?php echo $this->get_field_id( 'title' ); ?>">العنوان :</label>
  <input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  class="widefat" />
</p>
<p>
  <label for="<?php echo $this->get_field_id( 'feed_url' ); ?>">اسمك على فيدبرنر :</label>
  <input id="<?php echo $this->get_field_id( 'feed_url' ); ?>" name="<?php echo $this->get_field_name( 'feed_url' ); ?>" value="<?php echo $instance['feed_url']; ?>" class="widefat" />
</p>
<?php 
}
	} //end class
